IO::CoCoA4 Namespace Reference

## Functions

void | writeRing (const VarNames &names, FILE *out)
void | writeTermProduct (const Term &term, const TermTranslator &translator, FILE *out)
void | writeTermProduct (const vector< mpz_class > &term, const VarNames &names, FILE *out)
void | readTerm (Scanner &in, vector< mpz_class > &term)
void | readTerm (Scanner &in, InputConsumer &consumer)
void | readVarPower (vector< mpz_class > &term, Scanner &in)
void | readVarPower (Scanner &in, InputConsumer &consumer)
void | readCoefTerm (mpz_class &coef, vector< mpz_class > &term, bool firstTerm, Scanner &in)

## Function Documentation

## readCoefTerm()

void IO::CoCoA4::readCoefTerm | ( | mpz_class & | coef,
|  | vector< mpz_class > & | term,
|  | bool | firstTerm,
|  | Scanner & | in )

Definition at line 402 of file CoCoA4IOHandler.cpp.

## readTerm() [1/2]

void IO::CoCoA4::readTerm | ( | Scanner & | in,
|  | InputConsumer & | consumer )

Definition at line 345 of file CoCoA4IOHandler.cpp.

## readTerm() [2/2]

void IO::CoCoA4::readTerm | ( | Scanner & | in,
|  | vector< mpz_class > & | term )

Definition at line 332 of file CoCoA4IOHandler.cpp.

## readVarPower() [1/2]

void IO::CoCoA4::readVarPower | ( | Scanner & | in,
|  | InputConsumer & | consumer )

Definition at line 391 of file CoCoA4IOHandler.cpp.

## readVarPower() [2/2]

void IO::CoCoA4::readVarPower | ( | vector< mpz_class > & | term,
|  | Scanner & | in )

Definition at line 356 of file CoCoA4IOHandler.cpp.

## writeRing()

void IO::CoCoA4::writeRing | ( | const VarNames & | names,
|  | FILE * | out )

Definition at line 269 of file CoCoA4IOHandler.cpp.

## writeTermProduct() [1/2]

void IO::CoCoA4::writeTermProduct | ( | const Term & | term,
|  | const TermTranslator & | translator,
|  | FILE * | out )

Definition at line 289 of file CoCoA4IOHandler.cpp.

## writeTermProduct() [2/2]

void IO::CoCoA4::writeTermProduct | ( | const vector< mpz_class > & | term,
|  | const VarNames & | names,
|  | FILE * | out )

Definition at line 311 of file CoCoA4IOHandler.cpp.